function res=residuals(theta,param,at);
global nbk kmin ksup XX kt PI nstate;

alpha	= param(1);
beta	= param(2);
delta	= param(3);
sigma	= param(4);
lt		= length(theta);
theta	= reshape(theta,lt/nstate,nstate);

RHS=[];
LHS=[];
for i=1:nstate;
   Ephi	= exp(XX*theta(:,i));
   y		= exp(at(i))*exp(kt).^alpha;
   iv		= max(y-Ephi.^(-1/sigma),0);
   k1    = (1-delta)*exp(kt)+iv;
   rk1	= transfo(log(k1),kmin,ksup);
   xk1	= cheb(rk1,[0:nbk]);
   aux	= 0;
   for j=1:nstate;
      Ephi1	= exp(xk1*theta(:,j));
      y1	= exp(at(j))*k1.^alpha;
      mu1   = max((y1.^(-sigma)-Ephi1),0); % (when i=0, c=y => lambda=y^(-sigma))
      aux	= aux+PI(i,j)*beta*((alpha*y1./k1+1-delta).*Ephi1-mu1*(1-delta));
   end;
   RHS	= [RHS (aux)];
   LHS	= [LHS (Ephi)];
end;

res=XX'*(LHS-RHS);
res=res(:);